package intrinsic.mx.containers;

public class DividedBox extends intrinsic.mx.containers.Box {

	/** Accessors */
	public int numDividers;
	public boolean resizeToContent;

	/** Variables */
	public boolean liveDragging;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DividedBox() {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.containers.dividedBoxClasses.BoxDivider getDividerAt(int arg0);
public native void styleChanged(String arg0);
public native void moveDivider(int arg0, double arg1);

}
